%% Wait for button or mouse press.
%%
%% Syntax:
%%      waitforbuttonpress;
%%      a = waitforbuttonpress;
%% The former waits for mouse button or key press over figure.
%% The latter does the same, and returns 0 or 1 if mouse button
%% or key was pressed, respectively.
%%
%% Note: this command is equivalent to the ginput command.
%%
%% Author: Petr Mikulik
%% License: public domain

function a = waitforbuttonpress

    if nargin ~= 0
	error('No parameter required');
    end
    if nargout > 1
	error('Up to one output parameter required');
    end

    [x, y, k] = ginput(1);

    if nargout == 1
	if (k <= 5) a = 0;
	else a = 1;
    end

end

% eof waitforbuttonpress.m
